=== debian/changelog ===
libgit2 (0.24.1-2ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: Out of bounds read
    - debian/patches/CVE-2018-10887-1.patch: delta: Fix sign-extension of big
      left-shift
    - debian/patches/CVE-2018-10887-2.patch: delta: fix overflow when
      computing limit
    - CVE-2018-10887, CVE-2018-10888

 -- Mike Salvatore <mike.salvatore@canonical.com>  Wed, 05 Sep 2018 12:15:48 -0400

libgit2 (0.24.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 13 Apr 2016 11:31:25 +0200

libgit2 (0.24.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop git_tests-fix-core-stream-test-when-built-with-openssl-o.patch
    - merged upstream.
  * Revert "Disable fakeroot emulation when running tests"
    - no longer needed thanks to upstream fix.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 12 Apr 2016 16:34:48 +0200

libgit2 (0.24.0-2) experimental; urgency=medium

  * Team upload.
  * Incorporate 0.23.1-1.1 NMU diff
  * Drop libgit2-dbg and migrate to dbgsym
  * Add git_tests-fix-core-stream-test-when-built-with-openssl-o.patch
    - cherry-picked from upstream git master.
  * Disable fakeroot emulation when running tests
    - tests only works under regular user or real root.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 11 Apr 2016 17:03:05 +0200

libgit2 (0.24.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #798338)
  * Rename packages for new upstream so version -24
  * Update debian/libgit2-24.symbols
  * Bump Standards-Version to 3.9.7
  * Update Vcs-* for new collab-maint repo

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 04 Apr 2016 15:30:44 +0200

libgit2 (0.23.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Don't depend on OpenSSL, either directly or indirectly. Build with and
    depend on libcurl4-gnutls-dev instead. (Closes: #798421)
  * Drop associated Build-Depends on ca-certificates.

 -- Josh Triplett <josh@joshtriplett.org>  Fri, 18 Mar 2016 17:08:00 -0700

libgit2 (0.23.1-1) unstable; urgency=medium

  * New upstream release 0.23.1.
  * debian/control: Added build dependency on libcurl4-openssl-dev.
  * debian/control: Updated VCS URL.
  * debian/copyright: Added winhttp copyright.
  * debian/docs: Added missing development documentation.
  * debian/libgit2-23.symbols: Updated with latest symbols.
  * debian/libgit2-dev.lintian-overrides: Override comment
    stripping, should work once it's supported by dh_strip.
  * debian/patches/disable_tests.patch: Updated for 0.23.0.

 -- Russell Sim <russell.sim@gmail.com>  Tue, 11 Aug 2015 08:51:39 +1000
