=== debian/control ===
Source: libgit2
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Russell Sim <russell.sim@gmail.com>
Build-Depends: debhelper (>= 9.20160114),
               python-minimal (>= 2.4.0), pkg-config,
               cmake, libz-dev, libcurl4-gnutls-dev,
               libssh2-1-dev, libhttp-parser-dev
Standards-Version: 3.9.7
Homepage: http://libgit2.github.com/
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/libgit2.git/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libgit2.git/


Package: libgit2-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libgit2-24 (= ${binary:Version}), libz-dev,
         libcurl4-gnutls-dev, libssh2-1-dev,
         libhttp-parser-dev, ${shlibs:Depends}, ${misc:Depends}
Description: low-level Git library (development files)
 libgit2 is a portable, pure C implementation of the Git
 distributed version control system core methods provided as a
 re-entrant link-able library with a solid API.
 .
 This package contains the development files for libgit2.

Package: libgit2-24
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: low-level Git library
 libgit2 is a portable, pure C implementation of the Git
 distributed version control system core methods provided as a
 re-entrant link-able library with a solid API.
