=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libgit2-$1\.tar\.gz/ \
  https://github.com/libgit2/libgit2/releases .*/v?([\d.]*)\.tar\.gz
