## libgit2 0.24.2

=== debian/changelog ===
libgit2 (0.24.2-2~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Russell Sim <russell.sim@gmail.com>  Thu, 17 Nov 2016 15:49:28 +0000

libgit2 (0.24.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Russell Sim <russell.sim@gmail.com>  Fri, 04 Nov 2016 18:36:41 +1100

libgit2 (0.24.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8
  * Add commit-always-initialize-commit-message.patch fixes CVE-2016-8568,
    CVE-2016-8569
  * debian/rules: Set debian hardening compile flags.
  * debian/rules: When testing package force timezone to GMT.

 -- Russell Sim <russell.sim@gmail.com>  Sun, 23 Oct 2016 14:30:45 +1100
