=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 TEST_TMPDIR := $(CURDIR)/tmp-test
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory=build-debian-release -- \
@@ -41,9 +44,11 @@
 
 override_dh_auto_test:
 	mkdir -p build-debian-release/tmp
-	dh_auto_test --builddirectory=build-debian-release
+	# Force the timezone to GMT to work around bug with GMT-14 timezone
+	# https://github.com/libgit2/libgit2/issues/3970
+	TZ=/usr/share/zoneinfo/Etc/GMT dh_auto_test --builddirectory=build-debian-release
 	mkdir -p build-debian-devel/tmp
-	dh_auto_test --builddirectory=build-debian-devel
+	TZ=/usr/share/zoneinfo/Etc/GMT dh_auto_test --builddirectory=build-debian-devel
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='libgit2-dbg (<< 0.24.0-2~)'
