## libgit2 0.24.5

=== debian/changelog ===
libgit2 (0.24.5-1mx150+1) mx; urgency=medium

  * Rebuild for MX 15/16.

 -- Mike Elstad (v3g4n) <v3g4n@mxlinux.org>  Tue, 10 Jan 2017 18:47:46 -0600

libgit2 (0.24.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patch/fix_gmt14_timzone_bug.patch (Closes: #841532)
  * Correcty address CVE-2016-8568

 -- Russell Sim <russell.sim@gmail.com>  Mon, 02 Jan 2017 20:35:08 +1100
