=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: libgit2
 Section: libs
 Priority: extra
-Maintainer: Russell Sim <russell.sim@gmail.com>
+Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
+XSBC-Original-Maintainer: Russell Sim <russell.sim@gmail.com>
+Bugs: mailto: <v3g4n@mxlinux.org>
 Build-Depends: debhelper (>= 9.20160114),
                python-minimal (>= 2.4.0), pkg-config,
                cmake, libz-dev, libcurl4-gnutls-dev,
