## libgit2 0.25.1+really0.24.6

=== debian/changelog ===
libgit2 (0.25.1+really0.24.6-1+deb9u2) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Backuport upstream fix for CVE-2023-22742 (Closes: #1029368)
  * Add d/NEWS as the fix for the CVE might -- due to being stricter
    on certificates -- break setups and additionally stretch's libssh
    does not support all HostKeyAlgorithms.
  * Make testsuite non-failing (no regression, it failed before
    already)

 -- Tobias Frost <tobi@debian.org>  Tue, 21 Feb 2023 18:22:52 +0100

libgit2 (0.25.1+really0.24.6-1+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Add patch to fix potential OOB-read when processing
    ng packet. (Fixes: CVE-2018-15501)
  * Add patch to fix out-of-bounds read of delta.
    (Fixes: CVE-2018-10888)
  * Add patch to fix sign-extension of big left-shift.
    (Fixes: CVE-2018-10887)
  * Add patch to convert read_entry to return entry size
    via an out-param. (Fixes: CVE-2018-8099)
  * Add patch to disallow NTFS Alternate Data Stream attacks,
    even on Linux/macOS. (Fixes: CVE-2020-12278)
  * Add patch to protect against 8.3 "short name" attacks
    also on Linux/macOS. (Fixes: CVE-2020-12279)

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 07 Mar 2022 04:46:14 +0530

libgit2 (0.25.1+really0.24.6-1) unstable; urgency=medium

  * Revert 0.25.1 in unstable, 0.24.5 was already in unstable 0.25.1 was
    uploaded after the freeze.
  * Release 0.24.6 (CVE-2016-10128, CVE-2016-10129, CVE-2016-10130)
    (Closes: #851406)

 -- Russell Sim <russell.sim@gmail.com>  Sun, 21 May 2017 18:18:47 +0200

libgit2 (0.25.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Russell Sim <russell.sim@gmail.com>  Sat, 20 May 2017 19:27:39 +0200

libgit2 (0.25.1-1) experimental; urgency=medium

  * New upstream release. (CVE-2016-10128, CVE-2016-10129, CVE-2016-10130)
    (Closes: #851406, #857068)

 -- Russell Sim <russell.sim@gmail.com>  Tue, 25 Apr 2017 07:29:37 +0200
