=== debian/changelog ===
libgit2 (0.26.0+dfsg.1-1.1build1) bionic; urgency=medium

  * No-change rebuild for http-parser soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Nov 2017 14:00:22 +0000

libgit2 (0.26.0+dfsg.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * Use git_curl_stream_new for HTTPS because we don't link against openssl.

 -- Ximin Luo <infinity0@debian.org>  Thu, 14 Sep 2017 11:52:10 +0200

libgit2 (0.26.0+dfsg.1-1) experimental; urgency=medium

  * New upstream release.
  * Enable GSS authentication support.
  * Remove unused deps (Closes: #861752)

 -- Russell Sim <russell.sim@gmail.com>  Sat, 29 Jul 2017 15:58:46 +0200
