=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: libgit2
 Section: libs
 Priority: extra
-Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
-XSBC-Original-Maintainer: Russell Sim <russell.sim@gmail.com>
-Bugs: mailto: <v3g4n@mxlinux.org>
+Maintainer: Russell Sim <russell.sim@gmail.com>
 Build-Depends: debhelper (>= 9.20160114),
                python-minimal (>= 2.4.0), pkg-config,
                cmake, libz-dev, libcurl4-gnutls-dev,
-               libssh2-1-dev, libhttp-parser-dev
+               libssh2-1-dev, libhttp-parser-dev, libkrb5-dev
 Standards-Version: 3.9.8
 Homepage: http://libgit2.github.com/
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/libgit2.git/
@@ -18,7 +16,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libgit2-24 (= ${binary:Version}), libz-dev,
+Depends: libgit2-26 (= ${binary:Version}), libz-dev,
          libcurl4-gnutls-dev, libssh2-1-dev,
          libhttp-parser-dev, ${shlibs:Depends}, ${misc:Depends}
 Description: low-level Git library (development files)
@@ -28,7 +26,7 @@
  .
  This package contains the development files for libgit2.
 
-Package: libgit2-24
+Package: libgit2-26
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
