## libgit2 0.26.0+dfsg.1-1.1ubuntu0.2+8.0trisquel1

=== CMakeLists.txt ===
--- 
+++ 
@@ -285,6 +285,9 @@
 	ENDIF ()
 
 	IF (CURL_FOUND)
+		IF (USE_CURL_SSL)
+			ADD_DEFINITIONS(-DGIT_CURL_SSL)
+		ENDIF()
 		ADD_DEFINITIONS(-DGIT_CURL)
 		INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIRS})
 		LINK_DIRECTORIES(${CURL_LIBRARY_DIRS})
@@ -334,4 +337,3 @@
 	LINK_LIBRARIES(${HTTP_PARSER_LIBRARIES})
 	LIST(APPEND LIBGIT2_PC_LIBS "-lhttp_parser")
 ELSE()
-	MESSAGE(STATUS "http-parser version 2 was not found; using bundled 3rd-party sources.")
