## libgit2 0.27.4%2Bdfsg.1

=== debian/control ===
Source: libgit2
Section: libs
Priority: optional
Maintainer: Russell Sim <russell.sim@gmail.com>
Build-Depends: debhelper (>= 11~),
               python-minimal (>= 2.4.0), pkg-config,
               cmake, libz-dev, libmbedtls-dev,
               libssh2-1-dev, libhttp-parser-dev, libkrb5-dev
Standards-Version: 4.1.4
Homepage: https://libgit2.github.com/
Vcs-Git: https://salsa.debian.org/debian/libgit2.git
Vcs-Browser: https://salsa.debian.org/debian/libgit2


Package: libgit2-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libgit2-27 (= ${binary:Version}), libz-dev,
         libmbedtls-dev, libssh2-1-dev,
         libhttp-parser-dev, ${shlibs:Depends}, ${misc:Depends}
Description: low-level Git library (development files)
 libgit2 is a portable, pure C implementation of the Git
 distributed version control system core methods provided as a
 re-entrant link-able library with a solid API.
 .
 This package contains the development files for libgit2.

Package: libgit2-27
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: low-level Git library
 libgit2 is a portable, pure C implementation of the Git
 distributed version control system core methods provided as a
 re-entrant link-able library with a solid API.
