=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libgit2
 Section: libs
 Priority: optional
-Maintainer: Russell Sim <russell.sim@gmail.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Russell Sim <russell.sim@gmail.com>
 Build-Depends: debhelper (>= 11~),
                python-minimal (>= 2.4.0), pkg-config,
                cmake, libz-dev, libmbedtls-dev,
